Subject: Re: [RFC PATCH 2/3] Make ce_compare_gitlink thread-safe

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2024 10:51:59 -0700

Atneya Nair <[email-masked]> writes:

> What is the appropriate way to split an intermediate patch into two? Simply
> adding the additional commit as 3 of 4 would cause a mismatch between patch-set
> versions? Would that cause any issues?

If you have three patch series originally and the second one is too
big, then you'd end up with four patch series whose second and third
corresponds to the second patch of the original series, and the last
patch of the updated series that is numbered 4 will correspond to
the third one from the original.  That is perfectly normal and you
can see the correspondence with help from tools like range-diff.